--- 2.2.2 2011-04-16 ---
*** common changes ***
* Выравнивание ip-адресов в чате (только для моноширинных шрифтов).
* Добавлены опции конфигурации: ENABLE_STACKTRACE, WITH_DEV_FILES и EISKALTDCPP_INCLUDE_DIR.
* Добавлен отдельный файл для ведения лога полностью завершенных загрузок.
*** eiskaltdcpp-qt ***
* Добавлена возможность сборки под Haiku-OS (см. файл INSTALL).
* Исправлена загрузка смайлов из смайл-паков. Теперь можно использовать любой стандартный формат для изображений, а не только PNG формат.
* Улучшения в диалоге с черным списком результатов поиска.
* Исправлена подсветка статусных сообщений в чате: цвет теперь применяется ко всему сообщению.
* Улучшение в виджете поиска: всплывающая подсказка показывает где находится файл, если он есть в шаре.
* Исправлены небольшие утечки памяти и произведена чистка кода.
*** eiskaltdcpp-gtk ***
* Исправлена инициализация панели инструментов.
* Отключены сообщения "Смайлики не загрузились", когда смайлы не используются.
*** eiskaltdcpp-daemon ***
* Добавлена возможность сборки под Haiku-OS (см. файл INSTALL).
* Добавлены опции командной строки: --pidfile, --confdir, --localdir

--- 2.2.1 2011-03-08 ---
*** common changes ***
* Исправлена сборка под MS Windows.
* Частичная синхронизация с ядром DC++ (0.785).
* Исправлена поддержка Lua-скриптов. (Была сломана в версии 2.2.0 при синхронизации с ядром DC++)
* Исправлен баг с "пустой шарой" при запуске. Теперь при обновлении списка файлов делается бэкап, который используется при запуске программы. Заметка: пустой список файлов --- это не пустая шара! (Многие пользователи заблуждались на этот счет)
* Исправлена функция ответа на поисковые запросы на ADC-хабах. (Баг был добавлен в версии 2.2.0 при синхронизации с ядром DC++)
* Добавлена возможность отключения сегментирования и изменения размера сегмента (в МиБ).
*** eiskaltdcpp-qt ***
* Исправлено падение программы при использовании фильтра в результатах поиска, когда приходят новые результаты поискового запроса.
* Алгоритм для добавления разделителя (горизонтальной линии) для непрочитанных сообщений в чате обновлен. Теперь он работает прекрасно.
* Добавлен пункт просмотра свойств магнет-ссылок во все связанные меню.
* Добавлена поддержка поисковых ссылок (магнеты с ключом kt). (См. также: https://bugs.launchpad.net/dcplusplus/+bug/674545)
* Исправлено использование комбинации клавиш Ctrl+C в личном чате. (Баг был добавлен в версии 2.2.0)
* Добавлена опция отображения только завершенных передач в виджете передач. Используется простой фильтр: незавершенные загрузки можно скрыть и снова показать.
* Код для работы в базой данных (используется SQLite) признан стабильным. В таблицы завершенных передач были добавлены столбцы, и во избежание возможных проблем рекомендуется удалить старые файлы: ~/.config/eiskaltdc++/*.sqlite
* Некоторые исправления для пользовательских команд.
* Добавлена возможность подсветки ключевых слов в чате.
* Добавлена возможность настройки цветных прогрессбаров загрузки/отдачи.
* Добавлена опция воспроизведения звука при активном окне личного чата.
* Улучшения в алгоритме прокрутки истории отправленных сообщений.
* Исправлено падение программы при удалении активных (редактируемых) элементов из черного списка результатов поиска. Добавлена возможность сортировки списка.
* Теперь меню команд пользователя не отображается, если список команд хаба пуст.
* Добавлена опция скрытия иконок в меню. (Полезно для пользователей Mac OS X)
* Изменена реакция на пустой ник пользователя при запуске программы: теперь открывается диалог для ввода ника вместо общего диалога настроек.
* Добавлена возможность использования aspell в сборке под MS Windows.
* Добавлена возможность указать BIND_ADDRESS в диалоге настроек.
*** eiskaltdcpp-gtk ***
* Улучшения в виджете поиска.
* Исправлено сохранение числа слотов отдачи в диалоге настроек. (Баг был добавлен в версии 2.2.0)
* Добавлена опция отображения только завершенных передач в виджете передач. Используется жесткий алгоритм: незавершенные загрузки удаляются из списка и больше не добавляются в него.
* Горячие клавиши были синхронизированы с EiskaltDC++ Qt.
* Изменен парсер магнет-ссылок.
* Исправлена сборка с libnotify >= 0.7.0.
* Исправлена проблема с загрузкой смайлов. (В xml-файлах смайл-паков было указано standalone = "no" вместо "yes")
* Добавлена возможность воспроизведения звуковых уведомлений без использования libgnome.
*** eiskaltdcpp-daemon ***
* Исправлена отправка пароля при подключение к хабам с регистрацией.
* Переписана часть кода, ответственная за использование потоков. Теперь возможна сборка в MS Windows.
  Заметка: данный бинарник не может быть запущен как служба Windows, поскольку процесс должен запускаться от имени существующего пользователя (для доступа к настройкам).
* XML-RPC доступ к программе сейчас находится в активной разработке, но еще не готов.

--- 2.2.0 2011-01-16 ---
*** common changes ***
* Закончен переход на ядро 0.770. Цифра 0.770 является условной, т.к. используются патчи и из более поздних ревизий. Но полная синхронизация с последним ядром DC++ не планируется из-за некоторых его недостатков. Например: 1) более глубокая привязка к libboost; 2) использование кода, требующего -std=c++0x и gcc >= 4.5.x; 3) использование настроек графического окна в конфиге ядра.
* Сломана поддержка Lua-скриптов. Собирайте программу с -DLUA_SCRIPT=OFF.
* Благодаря Uhlik доступен чешский перевод.
* Теперь ограничения на размер шары не применяются к избранным пользователям и пользователям, которым выдан слот.
* Добавлено расширение PFSR (partial file sharing). Это позволит вам загружать файлы, которые еще не полностью загружены DC-клиентами или уже были загружены целиком, но еще не расшарены. (PFSR взят из проекта StrongDC++) [см. также http://www.adcportal.com/wiki/PFSR_-_Partial_file_sharing]
* Исправлено некорректное использование ограничения скорости: если указанное значение больше нуля, то ограничение применялось даже если оно было отключено в настройках. (Проблема была добавлена в версии 2.1.0)
* Исправлен тупик при загрузке файлов с очень длинными именами. Тип файловой системы теперь не имеет значения.
* Добавлена опция сокета ToS (Type-of-Service).
*** eiskaltdcpp-qt ***
* Исправлена обработка смайлов в новых сообщениях. Теперь быстрее и корректнее.
* Улучшения в виджете поиска.
* Подсветка дубликатов в шаре.
* Реализован черный список результатов поиска.
* Добавлен разделитель (горизонтальная линия) для непрочитанных сообщений в чате. (По умолчанию отключено) (Это экспериментальная опция)
* Добавлена опция типа подключения в настройках избранных хабов.
* На панель инструментов добавлена кнопка включения ограничения скорости.
* Добавлена возможность перенаправления новых личных сообщений в общий чат.
* Установка ограничений на шару теперь производится из виджета просмотра шары. Просто откройте свой список файлов и воспользуйтесь меню.
* Отключена раскраска прогрессбаров в списке передач.
* Добавлен пункт открытия каталога в контекстном меню для собственного списка файлов.
* Добавлен пункт копирования веб-магнетов во все связанные меню.
* Добавлен поисковый фрейм для личного чата.
* Исправлено возможное зависание при подключении к DynDNS.
* Распечатка бектрейса в консоль при получении сигнала SIGSEGV (ошибка сегментации).
* Исправлена ошибка, когда в контекстном меню чата выбирался другой пользователь. (Баг был добавлен в версии 2.1.0)
* Исправлен баг отображения результатов поиска при поиске директорий. Отображался только один результат до применения сортировки.
* Исправлен баг отображения имен файлов в UTF-8 в виджете списка файлов под MS Windows.
* Исправлено открытие расшаренных каталогов с не ASCII символами в виджете списка файлов под MS Windows.
* Переработан диалог отправки команд хаба.
* Исправлен баг с отправкой сообщения об отсутствии ботам на NMDC хабах.
* Исправлено восстановление распахнутого режима окна при запуске программы.
* Исправлена проблема с невозможностью задания горячей клавиши Esc в настройках.
* Поддержка bbCode тегов [s][/s], [code][/code], [url][/url] и [color][/color] в чате.
* Поддержка вложенных bbCode тегов.
* Исправлена реакция на левый клик по иконке в трее под MS Windows.
* Исправлено размытое отображение иконки программы на панели задач в MS Windows 7.
* В главное меню добавлен пункт отрытия magnet-ссылки.
* Улучшение в диалоге свойств magnet-ссылки: быстрый выбор ранее используемого каталога для загрузки.
* Удалены лишние зависимости при линковке в Mac OS X.
* Исправлен небольшой баг в модуле антиспама для главного чата. (Он был добавлен в версии 2.1.0)
* Исправлена ложная подсветка файлов как дубликатов в результатах ADL-поиска.
* Иправлено использование %[userNI] в логах чата. (Баг был добавлен в версии 2.1.0)
* Добавлен столбец с информацией об использовании шифрования в списке передач.
* Исправлено падение программы при получении в результатах поиска записи с пустым именем файла.
* При активации окна фокус снова переводится на поле ввода. (Проблема был добавлена в версии 2.1.0)
* Изменен алгоритм проверки запуска лишь одного экземпляра программы. Теперь используется QtSingleApplication.
* Добавлена поддержка базы данных SQLite. Сейчас она используется для сохранения списка завершенных передач. (По умолчанию отключено, см. файл INSTALL) (Это экспериментальная опция)
* Исправление в системе уведомлений при активной личной переписке.
* Двойной клик на индикаторе свободного места теперь открывает каталог загрузки.
* Удалена поддержка *полужирного* и _подчеркнутого_ текста в стиле Psi.
* Улучшена "горячая" смена языка интерфейса, без перезапуска программы.
* Добавлена возможность масштабировать диалог настроек до меньших размеров. Размер окна запоминается.
* Расширен диалог настроек.
*** eiskaltdcpp-gtk ***
* Улучшения в виджете поиска.
* Исправлен путь к файлу блокировки повторного запуска программы (он был в ~/.dc++/). Теперь запускается лишь один экземпляр DC-клиента и правильно перехватываются magnet-ссылки.
* Добавлены горячие клавиши Влево/Вправо для разворачивания дерева каталогов в виджете просмотра списка файлов.
* Расширен диалог настроек.
*** eiskaltdcpp-daemon ***
* Начата разработка. Внимание: программа еще не готова для использования!
* На данный момент это неуправляемый демон. Вы можете только запускать его и убивать.
* Запущенный процесс (см. man-страницу) подхватывает настройки из файлов конфигурации, созданные вручную или с помощью графических интерфейсов на Qt или Gtk. В результате: продолжаются начатые загрузки, пользователям доступны ваша шара и т.п..

--- 2.1.1 2010-11-21 ---
*** общие изменения ***
* Исправлен TigerHash для ARM архитектуры.
* -DUSE_MINIUPNP установлен в OFF по умолчанию.
* Устранена проблема с блокированием используемых портов при перезапуске программы.
* Добавлена возможность использования библиотеки pcre для применения регекспов в стиле perl (см. опцию PERL_REGEX в файле INSTALL). Сейчас используется только в ADL поиске.
*** eiskaltdcpp-qt ***
* Исправлено падение программы при удалении последних символов из поля ввода в чате, используя клавишу Backspace. (Проблема проявлялась только с Qt 4.7.1)
* Оптимизирован парсер ссылок. Очень длинные новые сообщения в чате отображаются заметно быстрее.
* Исправлено открытие magnet-ссылок для торрентов из чата.
* Добавлена возможность принудительного изменения цвета фона в чате.
* Исправлен неправильный путь к иконке для App Bundle в Mac OS X. (Проблема была добавлена в 2.1.0)
* Поддержка bbCode в чате ([b][/b], [u][/u], [i][/i]).
* Поддержка *полужирного* и _подчеркнутого_ текста в стиле Psi.
*** eiskaltdcpp-gtk ***
* Улучшения в главном меню.
* Улучшения в панели инструментов.
* Поддержка bbCode в чате ([b][/b], [u][/u], [i][/i]).

--- 2.1.0 2010-11-07 ---
*** общие изменения ***
* От основного бинарника отделена библиотека libeiskaltdcpp для unix-подобных систем.
* Добавлена локализация сообщений ядра. Используется gettext.
* Добавлена возможность использования Lua-скриптов (см. файл INSTALL).
* Добавлена возможность использования miniUPnP для подключения (см. файл INSTALL).
* Добавлен комплект звуковых файлов из проекта FlylinkDC++.
* Ядро (dcpp) частично обновлено до версии 0.777.
* Добавлен NATT (см. http://www.adcportal.com/wiki/index.php/NATT_-_NAT_traversal)
* Сделана возможность использования регистро-зависимого файл-листа (опция CaseSensitiveFilelist в SettingManager). Если у вас есть каталоги, в которых одновременно находятся файлы вида file.txt, FILE.txt и/или File.txt, то теперь это не будет вызывать проблем с постоянным обновлением шары и все эти файлы будут одновременно доступны другим пользователям для загрузки. По умолчанию данная опция отключена, т.к. она может стать причиной нарушения совместимости с другими DC-клиентами. (см. обсуждение: https://bugs.launchpad.net/linuxdcpp/+bug/311818)
* Внимание: при обновлении программы до этой версии, после перезапуска она будет вынуждена один раз полностью перехешировать ваши файлы. Это связано с тем, что теперь файловые хэши хранятся в регистрозависимом виде. Как будет из этих хэшей формироваться файл-лист, зависит от опции, описанной выше. По умолчанию, в файл-листе имена файлов хранятся в нижнем регистре, в соответствии со спецификацией.
*** eiskaltdcpp-qt ***
* Теперь при скрытии меню (Ctrl+M) добавляется соответствующая кнопка на панель инструментов.
* Добавлена возможность настройки списка действий на панели инструментов. (Правый клик на панели --> Настроить)
* Добавлена опция отображения ip-адресов пользователей в чате. (Зависит от настроек хаба: информация о них обычно доступна только для операторов)
* Исправлена проблема с минимальной шириной главного окна в Mac OS X.
* Многострочная панель виджетов (табов).
* Добавлена возможность скрыть кнопки закрытия вкладок (см. контекстное меню на панели).
* Благодаря Gustavo Alvarez доступен испанский перевод.
* Благодаря Rusi Dimitrov доступен болгарский перевод.
* Благодаря Martin Durisin доступен словацкий перевод.
* Добавлена возможность сборки без libupnp и QtDBus (см. файл INSTALL).
* Добавлена возможность сборки под MS Windows (см. файл win32/READ_ME.txt).
* Добавлен индикатор прогресса хеширования в статусную строку. Объединены пункты меню 'Обновить шару' и 'Прогресс хэширования'.
* Расширен диалог настроек.
* Удален лишний код (опция -DFREE_SPACE_BAR для cmake). Сборки с -DFREE_SPACE_BAR_C=ON работают стабильно на всех поддерживаемых платформах.
* Добавлена возможность настройки подключения через UPnP (используется miniupnp).
* Удалена возможноть сборки с libupnp 1.6.* (опция USE_LIBUPNP).
* Добавлены команды чата /luafile и /lua (см. man-страницу или /help в чате).
* Добавлен виджет для настройки ADL-поиска.
* Интервал обнаружения отсутствия (проверка активности пользователя).
* Изменены функции работы со смайлами. Теперь возможно использовать оригинальные смайл-паки от других клиентов без дополнительной модификации. Поставляемые в комплекте с программой смайл-паки, являются общими для интерфейсов на Qt и Gtk.
* Добавлена возможность использовать регулярные выражения Qt в фильтре списка пользователей (используйте ##<regexp> в фильтре)
* Добавлено ведение лога антиспам-бота (файл antispam.log в ~/.config/eiskaltdc++/ или другом каталоге, в зависимости от опций сборки).
* Добавлен менеджер комбинаций клавиш.
* Добавлена поддержка Qt Declarative UI (работает только в Qt >= 4.7.0).
* Добавлена панель смайлов (см. соответствующую опцию в Настройки-->Интерфейс-->Чат)
* Добавлен диалог для вычисления TTH произвольного файла.
*** eiskaltdcpp-gtk ***
* Добавлен Gtk интерфейс, основанный на коде FreeDC++ и LinuxDC++.
* Интерфейс локализирован с использованием gettext.
* Дефолтные иконки для Gtk интерфейса синхронизированы с дефолтными иконками из Qt интерфейса.
* Добавлен виджет для настройки ADL-поиска.
* Добавлена возможность настройки подключения через UPnP (используется miniupnp).
* Добавлены команды чата /sh и /alias (см. man-страницу или /help в чате).
* Добавлены команды чата /luafile и /lua (см. man-страницу или /help в чате).
* Добавлен диалог для вычисления TTH произвольного файла.
* Отображение картинок в чате ([img]magnet[/img]).

--- 2.0.3 2010-06-08 ---
* Исправлена индикация непрочитанных сообщений с помощью иконки в трее.
* Исправлены возможные проблемы с поиском при использовании локали, отличной от UTF-8. (Теперь ядро берет не локальную, а дефолтную кодировку, указанную в настройках)
* Добавлена графическая настройка пользовательских команд в диалоге настроек. (В предыдущих версиях нужно было править xml-конфиг вручную)
* Благодаря Dmytro Demenko доступен украинский перевод.
* Благодаря Miroslav Petrovic доступен сербский перевод.
* Настройки программы перенесены в каталог $XDG_CONFIG_HOME/eiskaltdc++/ (переменная окружения $XDG_CONFIG_HOME чаще всего определена как ~/.config/). Каталог с настройками будет перемещен автоматически при первом запуске программы после обновления. Использование $XDG_CONFIG_HOME в программе можно отключить на этапе конфигурации, см. файл INSTALL.
* Добавлена возможность размещения шаблонов с предопределенными настройками программы в каталоге /usr/share/eiskaltdcpp/config/ (зависит от опций cmake, см. файл INSTALL). При первом запуске программы вместо дефолтных настроек будут скопированы эти шаблоны в личные настройки пользователя.
* Добавлен drag'n'drop файлов в поле ввода сообщений. Если файл есть в шаре, то вместо него подставляется сразу магнет-ссылка.
* В команду чата /sh добавлен макрос <magnet show=альтернативное имя файла>путь к файлу</magnet>. Примеры его использования вы можете найти к каталоге 'examples'.
* Доработан модуль антиспама, теперь доступен весь ранее запланированный функционал.
* Добавлена опция изменения способа представления размеров (кибибайт (КиБ) <=> килобайт (КБ) и т.п.), см. man-страницу.
* Добавлена базовая поддержка QtScript (по умолчанию отключено, см. файл INSTALL).
* Добавлена возможность использования системных иконок (по умолчанию отключено, см. файл INSTALL).
* Добавлены примеры по использованию яваскрипт-сценариев. Улучшено взаимодействие скриптов с ядром DC++ и клиентской частью.
* Автоматическое изменение размера строки ввода в чатах. (Используйте Shift+Enter для переноса строки)
* Багфиксы.

--- 2.0.2 2010-05-04 ---
* Благодаря Alexandre Wallimann доступен французский перевод.
* Благодаря Arahael доступен польский перевод.
* Добавлена возможность использования бокового дока со списком виджетов вместо однострочной панели с табами.
* Добавлена возможность сборки с Qt >= 4.4.0. Ранее требовалось Qt >= 4.5.0.
* Добавлен фильтр в поисковый виджет.
* Улучшения в индикации новых сообщений в чате (разные иконки).
* Исправлен баг с падением программы при использовании поиска. Баг присутствовал во всех ранних ревизиях.
* Изменены дефолтные форматы логов.
* Улучшения в текстовых полях ввода.
* Добавлено подменю в списке пользователей для копирования требуемой информации о них.

--- 2.0.1 2010-04-18 ---
* Добавлен виджет с публичными хабами.
* Добавлена возможность фильтрации в основных виджетах (Ctrl+F).
* Поддержка режима отсутствия.
* Меню Файл разбито на несколько тематических меню.
* Добавлены примеры пользовательских скриптов.
* Добавлена строка с последним статусным собщением на хабе.
* Добавлена панель быстрого поиска.
* Добавлена возможность запуска нескольких копий клиента от разных пользователей системы.
  Проверьте, чтобы в настройках у них были указаны разные локальные порты.
* Благодаря Akos Berki доступен венгерский перевод.
* Добавлена возможность отключения чата на хабах при автоподключении.
* Добавлена графическая настройка для ограничения скорости хэширования.
* Добавлена возможность приоставновки процесса хэширования.
* Добавлена возможность ограничения отдачи пользователям по размеру их шары.
* Исправлены проблемы с разворачиванием программы из трея в Gnome и Mac OS X.
* Добавлена история отправленных сообщений, количество их регулируется в настройках.
* Добавлена история поисковых запросов, количество их регулируется в настройках.
* Улучшена настройка исключений файлов из шары.
* Существенно расширен диалог настроек.
* Множество багфиксов и т.д..

--- 2.0 2010-03-22 ---
* Миграция на ядро dc++ (v0.75) и, соответственно, поддержка протокола ADC.
* Полнофункциональный чат (парсинг магнетов, ссылок, смайлы, поиск в чате, фильтрация в списке пользователей, команды чата).
* Полнофункциональный поисковик, файл-браузер (подсветка уже расшаренных файлов и т.д.).
* Группировка передач в менеджере соединений.
* Отдельный менеджер закачек.
* Списки отданного/скачанного.
* Избранные пользователи (автослот и т.д); избранные хабы.
* Текстовые (как средствами Qt так и через установленный по-умолчанию системный менеджер уведомлений) и звуковые уведомления.
* Поддержка тем приложения, иконок и смайл-паки.
* Возможность не расшаривать файлы по маске.
* Поддержка UPnP.
* Подмена тега для избранных хабов.
* Принудительное указание внешнего IP для избранных хабов.
* Автообновление внешнего IP через DynDNS для избранных хабов.
* Поисковой шпион.
* IP-фильтр.
* Проверка орфографии с помощью Aspell.
